Angular 4.1.0 正式发布,Web 前端框架

局长
 局长
发布于 2017年04月27日
收藏 11

Angular 4.1.0 发布了,这是 Angular 4.0 的第一次小版本发布, Angular 版本号语义与发布计划

Angular 4.1.0 版本增加了对 TypeScript 2.2 和 2.3 的支持。这个版本的 Angular 是使用 TypeScript 2.3 编译发布的,不过请放心,这个不影响对 TypeScript 2.1 的支持。

Angular 4.1 启用了 TypeScript 的 StrictNullChecks 特性。这意味着你可以在工程中打开 StrictNullChecks,当然你也可以选择不使用 StrictNullChecks。

除了上述的更新,这个版本还包括 bug 的修复。具体如下:

  • router: 在 ng1 -> ng2 url 同步过程中转发查询参数 (#16249) (2f97731), closes #16067

  • upgrade: 对升级组件的绑定使用正确的属性名称 (#16128) (d1fb066), closes #8856

点此查看完整更新日志

下载地址

最后感谢 @lieefu 对本次更新内容的投递~也欢迎大家多多投递新闻~

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Angular 4.1.0 正式发布,Web 前端框架
加载中

精彩评论

Rwing
Rwing
没错,4是完全兼容2的,其实只不过换个版本号而已,其实相当于2.5, 2.6。。。。。。
醉丶千秋
醉丶千秋

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。

引用来自“风华神使”的评论

不知道的别乱说。ng4和ng2是基本兼容的,尽管版本号大跳了一下

引用来自“拔丝冰棍1”的评论

我当然知道4兼容2, 我只是在叙述2的失败而已
这话说的,苹果每年一个版本号,那么之前的就都失败了?
还不让改版本号了?
拔丝冰棍1990
拔丝冰棍1990
Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。
MQ_Plus
MQ_Plus

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。
废话。。。谁一次性能写出所谓“成功”的代码?你能?你来
风华神使
风华神使

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。
不知道的别乱说。ng4和ng2是基本兼容的,尽管版本号大跳了一下

最新评论(19

bo1839
bo1839
单页应用实现能力还是蛮强的,话说有类似的其他框架吗,angular东西多了用起来有时候会卡
hi小叶
hi小叶

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。

引用来自“风华神使”的评论

不知道的别乱说。ng4和ng2是基本兼容的,尽管版本号大跳了一下

引用来自“拔丝冰棍1”的评论

我当然知道4兼容2, 我只是在叙述2的失败而已
会用“失败”这一词吗?按你这样说,所有的前端框架(比如jquery,react,vue),除现在使用的大版本,以前的所有版本都是“失败”的。👍
榕树下_
榕树下_
vue偷偷地笑
kubei
kubei
就是觉得很火的样子
MQ_Plus
MQ_Plus

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。
废话。。。谁一次性能写出所谓“成功”的代码?你能?你来
醉丶千秋
醉丶千秋

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。

引用来自“风华神使”的评论

不知道的别乱说。ng4和ng2是基本兼容的,尽管版本号大跳了一下

引用来自“拔丝冰棍1”的评论

我当然知道4兼容2, 我只是在叙述2的失败而已
这话说的,苹果每年一个版本号,那么之前的就都失败了?
还不让改版本号了?
拔丝冰棍1990
拔丝冰棍1990

引用来自“游客”的评论

傻逼太多,,,落寞?? 没用过评论个JB ..... 真TM多喷子
陈述句也被你说成是喷子,我也是醉了,不知道谁在喷?落不落寞时间自然会证明的。
拔丝冰棍1990
拔丝冰棍1990

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。

引用来自“风华神使”的评论

不知道的别乱说。ng4和ng2是基本兼容的,尽管版本号大跳了一下
我当然知道4兼容2, 我只是在叙述2的失败而已
风华神使
风华神使

引用来自“拔丝冰棍1”的评论

Angular 4.1.0 发布了,侧面证明了angular2的失败。版本混乱必然后加速粉丝的流逝,新人上旧人下,程序员都不愿意去修改别人的代码,angular可能真的要落寞了。
不知道的别乱说。ng4和ng2是基本兼容的,尽管版本号大跳了一下
Raphael_goh
Raphael_goh

引用来自“Hawkeas”的评论

这个是否兼容 TYPESCRIPT 1.X 版本??

ng4完全不兼容 ts1.x 至少2.1,ng2 只支持1.x
返回顶部
顶部